LAM/MPI logo

LAM/MPI General User's Mailing List Archives

  |   Home   |   Download   |   Documentation   |   FAQ   |   all just in this list

From: Brian Barrett (brbarret_at_[hidden])
Date: 2010-04-11 12:40:17


On Apr 11, 2010, at 7:57 AM, ash wrote:

> I have an error while compiling lam mpi programs on opensuse 11.2
>
> /usr/lib/gcc/i586-suse-linux/4.4/../../../../i586-suse-linux/bin/ld:
> cannot find -lopen-rte
> collect2: ld returned 1 exit status
>
> I don't have this problem in fedora 8. What should I do solve the
> problem?

It looks like the mpicc you used (or the -lmpi the system found) was
from Open MPI, not LAM/MPI. You might want to check your build
options and make sure you're using the right MPI>..

Brian

-- 
   Brian Barrett
   LAM/MPI Developer
   Make today a LAM/MPI day!